CREATE TABLE CRST_FND_CONC_PROG_PARAM (
  APPLICATION_ID                 NUMBER(10),
  DESCRIPTIVE_FLEXFIELD_NAME     VARCHAR2(40),
  DESCRIPTIVE_FLEX_CONTEXT_CODE  VARCHAR2(30),
  APPLICATION_COLUMN_NAME        VARCHAR2(30),
  END_USER_COLUMN_NAME           VARCHAR2(30),
  LAST_UPDATE_DATE               DATE,
  LAST_UPDATED_BY                NUMBER(15),
  CREATION_DATE                  DATE,
  CREATED_BY                     NUMBER(15),
  LAST_UPDATE_LOGIN              NUMBER(15),
  COLUMN_SEQ_NUM                 NUMBER(3),
  ENABLED_FLAG                   VARCHAR2(1),
  REQUIRED_FLAG                  VARCHAR2(1),
  SECURITY_ENABLED_FLAG          VARCHAR2(1),
  DISPLAY_FLAG                   VARCHAR2(1),
  DISPLAY_SIZE                   NUMBER(3),
  MAXIMUM_DESCRIPTION_LEN        NUMBER(3),
  CONCATENATION_DESCRIPTION_LEN  NUMBER(3),
  FLEX_VALUE_SET_ID              NUMBER(10),
  RANGE_CODE                     VARCHAR2(1),
  DEFAULT_TYPE                   VARCHAR2(1),
  DEFAULT_VALUE                  VARCHAR2(2000),
  SRW_PARAM                      VARCHAR2(30),
  RUNTIME_PROPERTY_FUNCTION      VARCHAR2(2000),
  DUMMY                          CHAR(1),
  LAST_UPDATED_BY_NAME           VARCHAR2(100),
  CREATED_BY_NAME                VARCHAR2(100),
  FLEX_VALUE_SET_NAME            VARCHAR2(100)
);
